Name:		konversation
Version:	1.2.3
Release:	%mkrel 2
Summary:	A user friendly IRC Client for KDE
License:	GPLv2
Group:		Networking/IRC
URL:		http://konversation.kde.org
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/konversation/%{version}/src/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.2-default_channel.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	kdelibs4-devel
BuildRequires:	kdepimlibs4-devel
BuildRequires:	qca2-devel
BuildRequires:	openldap-devel
Provides:	kde4-irc-client

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with KDE support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

%files -f %name.lang
%defattr(-,root,root,-)
%doc README
%{_kde_bindir}/*
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/applications/kde4/%{name}.desktop
%{_kde_iconsdir}/*/*/*/*
%_kde_datadir/apps/kconf_update/*
%_kde_datadir/kde4/services/konvirc.protocol
%_kde_datadir/kde4/services/konvirc6.protocol

#--------------------------------------------------------------------
						    
%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .default_channel

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build
%find_lang --with-html %name 

%clean
rm -rf %{buildroot}



%changelog
* Fri Feb 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.3-2mdv2010.0
+ Revision: 512126
- Fix spec file to follow kde spec files rules

* Fri Feb 26 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.2.3-2mdv2010.1
+ Revision: 512016
- Fix mix tabs/spaces
- Fix license
- Put %%files at end of spec

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 1.2.3-1mdv2010.1
+ Revision: 505075
- update to new version 1.2.3

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2010.1
+ Revision: 504415
- New version 1.2.2

* Thu Nov 12 2009 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 465261
- new version 1.2.1

* Tue Oct 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2-2mdv2010.0
+ Revision: 459595
- Backport dcc location from trunk
  Remove patch rejected upstream

  + Raphaël Gertz <rapsys@mandriva.org>
    - Don't hide the apps by default
    - Fix default bad configuration

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 1.2-1mdv2010.0
+ Revision: 456344
- 1.2 Final

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 1.2-0.rc1.1mdv2010.0
+ Revision: 454165
- 1.2 rc 1

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2-0.beta1.2mdv2010.0
+ Revision: 451011
- Provides kde4-irc-client

* Mon Sep 21 2009 Funda Wang <fwang@mandriva.org> 1.2-0.beta1.1mdv2010.0
+ Revision: 446535
- New version 1.2 beta1

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 1.2-0.alpha6.1mdv2010.0
+ Revision: 411851
- new version 1.2 alpha6

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.2-0.alpha5.1mdv2010.0
+ Revision: 410444
- new version 1.2 alpha5

* Sat Jul 04 2009 Funda Wang <fwang@mandriva.org> 1.2-0.alpha4.1mdv2010.0
+ Revision: 392089
- rediff channel patch
- New version 1.2 alpha 4

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 1.2-0.alpha3.1mdv2010.0
+ Revision: 382341
- New version 1.2 alpha3

* Tue May 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2-0.alpha2.1mdv2010.0
+ Revision: 379885
- Remove pt_BR translation as this is now included
- Remove unused patches
- Add default channel
- Update to Alpha2

* Sat May 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.75-0.968862.1mdv2010.0
+ Revision: 376498
- Fix file list
- New snapshot ( konvi is back on extragear)

* Fri May 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.75-0.965153.1mdv2010.0
+ Revision: 373452
- Add buildrequire
- Update to kde4 port of konversation

* Sun Sep 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-2mdv2009.0
+ Revision: 289113
- Add upstream patch that Fix keyboard accelerator management
- Add brazilian translations tks to Andre

* Wed Aug 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-1mdv2009.0
+ Revision: 264720
- Add support for amarok 2.0
- Update to 1.1 Final release

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 1.1-0.rc1.1mdv2009.0
+ Revision: 234886
- New version 1.1 rc1
- drop old pacthes, they are not needed any more

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.1-9mdv2009.0
+ Revision: 218434
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-9mdv2008.1
+ Revision: 141733
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.1-8mdv2008.0
+ Revision: 57787
- Cleaned spec a little bit
- Keep flag enable_final off. was disabled before, but is workaround. Current patches togheter with
  1.0.1 make gcc preprocessor generates unqualified symbol errors, when doing the "join" of cpps.
  Need to be reported to konversarion devs.

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-7mdv2008.0
+ Revision: 57732
- fix mixture of tabs and spaces
- provide better description
- some minor cleans in spec file
- drop old menu directory
- use only konversation's upstream icons
- pass optimize options into configure

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix menu entry
    - [BUGFiX] Fix French translation (bug #22250)


* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-6mdv2007.0
+ Revision: 109700
- Add patch6 :  fix defective server list window with compiz
  thanks to david Barth to point this out.

* Mon Jan 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-5mdv2007.1
+ Revision: 105486
- Add Patch5: Fix dcc crash (#28019)

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1.0.1-4mdv2007.1
+ Revision: 104037
- Don't depend on metapackage kdebase

* Sat Dec 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-3mdv2007.1
+ Revision: 101890
- update release
- Add patch4 (138836 kde feature)

* Fri Oct 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-2mdv2006.0
+ Revision: 63788
- Rebuild
- New version 1.0.1

* Sat Sep 02 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-1mdv2007.0
+ Revision: 59393
- Fix File List

  + Laurent Montel <lmontel@mandriva.com>
    - version 1.0

* Fri Jun 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.19-7mdv2007.0
+ Revision: 37864
- Increase release
- Use Macros
- Increase Release
- Rebuild to regenerate category
- Add Warning
- import konversation-0.19-5mdv2007.0

* Fri Jun 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-1mdv2007.0
- Rebuild to fix menu
- Add Patch3: Fix Build with gcc 4.1.1

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-4mdk
- Rebuild to generate categories

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-3mdk
- Fix Requires : It requires kde3.4+ now

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- Drop patch 1 : Merged upstream
- Rediff patch 2

* Mon Jan 30 2006 Laurent MONTEL <lmontel@mandriva.com> 0.19-1
- 0.19

* Sat Dec 24 2005 Anssi Hannula <anssi@mandriva.org> 0.18-8mdk
- drop regenerating configure
- drop all the x86_64 build hacks, they actually prevented the build

* Fri Dec 02 2005 Marcel Pol <mpol@mandriva.org> 0.18-7mdk
- P1: default channel is #mandriva (freenode)

* Wed Sep 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-6mdk
- patch 1 : Fix Script Media Encoding

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-5mdk
- Remove Patch 0 : Unneeded

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-4mdk
- Cosmetics

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-3mdk
- Try to fix some translation mistakes

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-2mdk
- Use new tarball because previous was buggy

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Add Patch 0  ( unblacklist gcc4 )

* Sat Apr 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-3mdk
- Sorry master boulet I really fix build for amd64 ;)

* Thu Apr 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-2mdk
- Fix build on x86_64 thanks to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Thu Apr 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-1mdk
- 0.17

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.16-1mdk
- 0.16

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.15-1mdk
- 0.15

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.14-1mdk
- 0.14

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org> 0.13-2mdk
- reenable libtoolize

